Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.changeorder
Class ChangeOrderMgr

    java.lang.Object
      com.tonbeller.wcf.changeorder.ChangeOrderMgr

All Implemented Interfaces:
  RenderListener

public class ChangeOrderMgr
extends java.lang.Object
implements RenderListener

generates buttons to move objects in a list or tree

Author:
  av

Constructor Summary
`ChangeOrderMgr(Dispatcher parentDispatcher, Form form)`
`ChangeOrderMgr(Dispatcher parentDispatcher, Form form, ChangeOrderModel model)` creates new ChangeOrderMgr

Method Summary
`ChangeOrderModel` | `getModel()`
`void` | `renderButton(org.w3c.dom.Element elem, java.lang.Object scope, java.lang.Object node, int nodeIndex, int nodeCount)`
`void` | `setCutPasteMode(boolean b)`
`void` | `setModel(ChangeOrderModel model)`
`void` | `startRendering(RequestContext context)` called once before rendering of buttons starts
`void` | `stopRendering()` called once after rendering of buttons has finished

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeOrderMgr

    public ChangeOrderMgr(Dispatcher parentDispatcher,
                          Form form)

### ChangeOrderMgr

    public ChangeOrderMgr(Dispatcher parentDispatcher,
                          Form form,
                          ChangeOrderModel model)

  creates new ChangeOrderMgr

Parameters:
  `parentDispatcher` -
  `form` -
  `model` - null or the model to use

Method Detail

### renderButton

    public void renderButton(org.w3c.dom.Element elem,
                             java.lang.Object scope,
                             java.lang.Object node,
                             int nodeIndex,
                             int nodeCount)

### startRendering

    public void startRendering(RequestContext context)

  called once before rendering of buttons starts

  Specified by:
    `startRendering` in interface `RenderListener`

### stopRendering

    public void stopRendering()

  called once after rendering of buttons has finished

  Specified by:
    `stopRendering` in interface `RenderListener`

### getModel

    public ChangeOrderModel getModel()

### setModel

    public void setModel(ChangeOrderModel model)

### setCutPasteMode

    public void setCutPasteMode(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD